package com.qmth.teachcloud.report.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考试维度总计
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
@ApiModel(value = "TAExamTotal对象", description = "考试维度总计")
public class TAExamTotal implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "基础考试表id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value = "exam_id")
    private Long examId;

    @ApiModelProperty(value = "学校id（冗余）")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value = "school_id")
    private Long schoolId;

    @ApiModelProperty(value = "考查学院总数")
    @TableField(value = "college_count")
    private Integer collegeCount;

    @ApiModelProperty(value = "考查学院名称")
    @TableField(value = "college_names")
    private String collegeNames;

    @ApiModelProperty(value = "课程总数")
    @TableField(value = "course_count")
    private Integer courseCount;

    @ApiModelProperty(value = "公共课总数")
    @TableField(value = "public_course_count")
    private Integer publicCourseCount;

    @ApiModelProperty(value = "专业课总数")
    @TableField(value = "major_course_count")
    private Integer majorCourseCount;

    @ApiModelProperty(value = "总人数")
    @TableField(value = "total_count")
    private Integer totalCount;

    @ApiModelProperty(value = "实际参考人数")
    @TableField(value = "reality_count")
    private Integer realityCount;

    @ApiModelProperty(value = "缺考人数")
    @TableField(value = "absent_count")
    private Integer absentCount;

    @ApiModelProperty(value = "总课次")
    @TableField(value = "total_course_times")
    private int totalCourseTimes;

    @ApiModelProperty(value = "实际课次")
    @TableField(value = "reality_course_times")
    private int realityCourseTimes;

    @ApiModelProperty(value = "缺考课次")
    @TableField(value = "absent_course_times")
    private int absentCourseTimes;

    @ApiModelProperty(value = "考试时间")
    @TableField(value = "exam_time")
    private Long examTime;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Integer getCollegeCount() {
        return collegeCount;
    }

    public void setCollegeCount(Integer collegeCount) {
        this.collegeCount = collegeCount;
    }

    public Integer getCourseCount() {
        return courseCount;
    }

    public void setCourseCount(Integer courseCount) {
        this.courseCount = courseCount;
    }

    public Integer getPublicCourseCount() {
        return publicCourseCount;
    }

    public void setPublicCourseCount(Integer publicCourseCount) {
        this.publicCourseCount = publicCourseCount;
    }

    public Integer getMajorCourseCount() {
        return majorCourseCount;
    }

    public void setMajorCourseCount(Integer majorCourseCount) {
        this.majorCourseCount = majorCourseCount;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getRealityCount() {
        return realityCount;
    }

    public void setRealityCount(Integer realityCount) {
        this.realityCount = realityCount;
    }

    public Integer getAbsentCount() {
        return absentCount;
    }

    public void setAbsentCount(Integer absentCount) {
        this.absentCount = absentCount;
    }

    public Long getExamTime() {
        return examTime;
    }

    public void setExamTime(Long examTime) {
        this.examTime = examTime;
    }

    public int getTotalCourseTimes() {
        return totalCourseTimes;
    }

    public void setTotalCourseTimes(int totalCourseTimes) {
        this.totalCourseTimes = totalCourseTimes;
    }

    public int getRealityCourseTimes() {
        return realityCourseTimes;
    }

    public void setRealityCourseTimes(int realityCourseTimes) {
        this.realityCourseTimes = realityCourseTimes;
    }

    public int getAbsentCourseTimes() {
        return absentCourseTimes;
    }

    public void setAbsentCourseTimes(int absentCourseTimes) {
        this.absentCourseTimes = absentCourseTimes;
    }

    public String getCollegeNames() {
        return collegeNames;
    }

    public void setCollegeNames(String collegeNames) {
        this.collegeNames = collegeNames;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }
}
